<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">

		<!-- 3.) Responsive meta tag -->
		<meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

		<title>Bootstrap Introduction & Simple Styles</title>

		<!-- <link rel="stylesheet" href="style.css"> -->

		<!-- 1.) Bootstrap CSS -->
		<link rel="stylesheet" href="https://cdn.jsdelivr.net/npm/bootstrap@4.6.1/dist/css/bootstrap.min.css" integrity="sha384-zCbKRCUGaJDkqS1kPbPd7TveP5iyJE0EjAuZQTgFLD2ylzuqKfdKlfG/eSrtxUkn" crossorigin="anonymous">
	</head>
	<body class="m-2">

		<!-- Colored Links and Texts -->
		<h1>Link Colors</h1>
		<ul class="list-unstyled">
			<li>
				<a 
					href="#" 
					class="text-primary text-decoration-none"
				>
					Link
				</a>
			</li>
			<li>
				<a href="#" class="text-secondary text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-success text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-warning text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-danger text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-dark text-decoration-none">Link</a>
			</li>
			<li>
				<a href="#" class="text-info text-decoration-none">Link</a>
			</li>
		</ul>
		<p>Lorem ipsum dolor sit amet, <span class="text-primary">consectetur</span>, adipisicing elit. Repellendus excepturi aperiam, officia, nobis dolores totam similique sapiente quos. Voluptates eius autem modi deleniti sapiente facilis excepturi fugit, quibusdam provident, quis.</p>


		<!-- Background Color -->
		<h1>Background Colors</h1>
		<div class="bg-primary text-white">primary</div>
		<div class="bg-secondary text-white">secondary</div>
		<div class="bg-success text-white">success</div>
		<div class="bg-warning text-danger">warning</div>
		<div class="bg-danger text-warning">danger</div>
		<div class="bg-dark text-warning">dark</div>
		<div class="bg-info text-white">info</div>


		<!-- Text Alignment -->
		<h1>Text Alignment</h1>
		<p class="text-center m-5">
			Lorem ipsum dolor sit, amet consectetur adipisicing elit. Possimus laborum ex asperiores rem dignissimos voluptas velit doloribus iure, dolores illum vero inventore labore voluptates at odit assumenda officiis quaerat error. Lorem ipsum dolor sit, amet consectetur adipisicing elit. Possimus laborum ex asperiores rem dignissimos voluptas velit doloribus iure, dolores illum vero inventore labore voluptates at odit assumenda officiis quaerat error.
		</p>
		<p class="text-justify m-5">
			Lorem ipsum dolor sit, amet consectetur adipisicing elit. Possimus laborum ex asperiores rem dignissimos voluptas velit doloribus iure, dolores illum vero inventore labore voluptates at odit assumenda officiis quaerat error. Lorem ipsum dolor sit, amet consectetur adipisicing elit. Possimus laborum ex asperiores rem dignissimos voluptas velit doloribus iure, dolores illum vero inventore labore voluptates at odit assumenda officiis quaerat error.
		</p>

		<p class="text-left">Left Text</p>
		<p class="text-right">Right Text</p>
		<p class="text-center">Center Text</p>

		<!-- Text Transform -->
		<h1>Text Transform</h1>
		<p class="text-uppercase">this will be transformed to uppercase</p>
		<p class="text-lowercase">THIS WILL BE TRANSFORMED TO LOWERCASE</p>
		<p class="text-capitalize">this will be transformed to uppercase</p>

		<!-- Font Weight & Italics -->
		<h1>Font Weight & Italics</h1>
		<p class="font-weight-bold">Bold Weight</p>
		<p class="font-weight-normal">Normal Weight</p>
		<p class="font-weight-light">Light Weight</p>
		<p class="font-italic">Italic Text</p>
		
		<!-- Borders -->
		<h1>Adding Border</h1>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border-top p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border-bottom p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border-left p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border-right p-2 m-2"
		>

		<h1>Subtract Border</h1>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border-0 p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-top-0 p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-bottom-0 p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-left-0 p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-right-0 p-2 m-2"
		>

		<h1>Border Color</h1>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-primary p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-secondary p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-dark p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-success p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-warning p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-danger p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-info border-left-0 border-right-0 p-2 m-2"
		>
		


		<!-- Border Radius -->
		<h1>Border Radius</h1>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-primary rounded p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-secondary rounded-top p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-dark rounded-bottom p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-success rounded-left p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-warning rounded-right p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-danger rounded-circle p-2 m-2"
		>
		<img 
			src="https://via.placeholder.com/75x75" 
			class="border border-info border-left-0 border-right-0 p-2 m-2"
		>
		
		<!-- Display -->
		<h1>Display</h1>
		<div
			class="bg-primary p-2 border d-inline"
		>
			inline element
		</div>
		<span
			class="bg-warning p-2 border d-block"
		>
			block element
		</span>
		<span
			class="bg-secondary p-2 border d-inline-block"
		>
			inline-block element
		</span>

		<!-- Sizing -->
		<h1>Sizing: Width</h1>
		<div
			class="bg-primary p-2 m-2 border w-25"
		>
			25%
		</div>
		<div
			class="bg-secondary p-2 m-2 border w-50"
		>
			50%
		</div>
		<div
			class="bg-warning p-2 m-2 border w-75"
		>
			75%
		</div>
		<div
			class="bg-success p-2 m-2 border w-100"
		>
			100%
		</div>
		<div
			class="bg-danger p-2 m-2 border w-auto"
		>
			auto
		</div>

		<!-- Sizing -->
		<h1>Sizing: Height</h1>
		<div class="m-2 p-2 border border-dark" style="height: 300px;">
			<div
				class="bg-primary p-2 m-2 border d-inline-block h-25 text-center font-weight-bold text-white"
			>
				25%
			</div>
			<div
				class="bg-secondary p-2 m-2 border text-center font-weight-bold text-white d-inline-block h-50"
			>
				50%
			</div>
			<div
				class="bg-success p-2 m-2 border text-center font-weight-bold text-white d-inline-block h-75"
			>
				75%
			</div>
			<div
				class="bg-warning p-2 m-2 border text-center font-weight-bold d-inline-block h-100"
			>
				100%
			</div>
			<div
				class="bg-danger p-2 m-2 border text-center font-weight-bold text-white d-inline-block h-auto"
			>
				auto
			</div>
		</div>


		<!-- Spacing -->
		<h1>Spacing</h1>
		<p class="border border-primary mt-4 mb-0">
			Lorem ipsum, dolor sit, amet consectetur adipisicing elit. Dolorum commodi quibusdam culpa, eveniet rerum facilis vero optio, laboriosam fugit, similique eaque suscipit necessitatibus? Ducimus necessitatibus maxime, tenetur quidem voluptate praesentium.
		</p>
		<p class="border border-success mx-3 mb-0">
			Lorem ipsum, dolor sit, amet consectetur adipisicing elit. Dolorum commodi quibusdam culpa, eveniet rerum facilis vero optio, laboriosam fugit, similique eaque suscipit necessitatibus? Ducimus necessitatibus maxime, tenetur quidem voluptate praesentium.
		</p>
		<p class="border border-danger py-4">
			Lorem ipsum, dolor sit, amet consectetur adipisicing elit. Dolorum commodi quibusdam culpa, eveniet rerum facilis vero optio, laboriosam fugit, similique eaque suscipit necessitatibus? Ducimus necessitatibus maxime, tenetur quidem voluptate praesentium.
		</p>
		<p class="border border-warning px-1">
			Lorem ipsum, dolor sit, amet consectetur adipisicing elit. Dolorum commodi quibusdam culpa, eveniet rerum facilis vero optio, laboriosam fugit, similique eaque suscipit necessitatibus? Ducimus necessitatibus maxime, tenetur quidem voluptate praesentium.
		</p>
		<p class="border border-info m-5 p-5 pb-0">
			Lorem ipsum, dolor sit, amet consectetur adipisicing elit. Dolorum commodi quibusdam culpa, eveniet rerum facilis vero optio, laboriosam fugit, similique eaque suscipit necessitatibus? Ducimus necessitatibus maxime, tenetur quidem voluptate praesentium.
		</p>



		<!-- 2.) Bootstrap JS -->
	</body>
</html>